Bug 1321004 - [abrt] kf5-kinit: QObject::disconnect(): kdeinit5 killed by SIGSEGV
Summary: [abrt] kf5-kinit: QObject::disconnect(): kdeinit5 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kf5-kinit
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:84e8bdd230c648003d70284ff97...
: 1336501 1337512 1342838 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-24 13:00 UTC by Karel Volný
Modified: 2017-09-19 20:14 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:05:49 UTC


Attachments (Terms of Use)
File: backtrace (68.87 KB, text/plain)
2016-03-24 13:00 UTC, Karel Volný
no flags Details
File: cgroup (148 bytes, text/plain)
2016-03-24 13:00 UTC, Karel Volný
no flags Details
File: core_backtrace (16.59 KB, text/plain)
2016-03-24 13:00 UTC, Karel Volný
no flags Details
File: dso_list (14.21 KB, text/plain)
2016-03-24 13:00 UTC, Karel Volný
no flags Details
File: environ (4.43 KB, text/plain)
2016-03-24 13:00 UTC, Karel Volný
no flags Details
File: limits (1.29 KB, text/plain)
2016-03-24 13:00 UTC, Karel Volný
no flags Details
File: maps (57.92 KB, text/plain)
2016-03-24 13:00 UTC, Karel Volný
no flags Details
File: mountinfo (3.29 KB, text/plain)
2016-03-24 13:00 UTC, Karel Volný
no flags Details
File: namespaces (85 bytes, text/plain)
2016-03-24 13:00 UTC, Karel Volný
no flags Details
File: open_fds (726 bytes, text/plain)
2016-03-24 13:01 UTC, Karel Volný
no flags Details
File: proc_pid_status (1.04 KB, text/plain)
2016-03-24 13:01 UTC, Karel Volný
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-03-24 13:01 UTC, Karel Volný
no flags Details


Links
System ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-52988 None None None 2016-04-26 10:50:45 UTC

Description Karel Volný 2016-03-24 13:00:40 UTC
Version-Release number of selected component:
kf5-kinit-5.20.0-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        'http.so [kdeinit5] https local:/run/user/1000/klauncherXM1506.1.slave-socket local:/run/user/1000/konversationHf1209.4.slave-socket'
crash_function: QObject::disconnect
executable:     /usr/bin/kdeinit5
global_pid:     16272
kernel:         4.4.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 QObject::disconnect at kernel/qobject.cpp:2949
 #2 QDBusConnectionPrivate::closeConnection at qdbusintegrator.cpp:1111
 #3 QDBusConnectionManager::run at qdbusconnection.cpp:191
 #4 QThreadPrivate::start at thread/qthread_unix.cpp:340

Comment 1 Karel Volný 2016-03-24 13:00:47 UTC
Created attachment 1139944 [details]
File: backtrace

Comment 2 Karel Volný 2016-03-24 13:00:48 UTC
Created attachment 1139945 [details]
File: cgroup

Comment 3 Karel Volný 2016-03-24 13:00:50 UTC
Created attachment 1139946 [details]
File: core_backtrace

Comment 4 Karel Volný 2016-03-24 13:00:52 UTC
Created attachment 1139947 [details]
File: dso_list

Comment 5 Karel Volný 2016-03-24 13:00:53 UTC
Created attachment 1139948 [details]
File: environ

Comment 6 Karel Volný 2016-03-24 13:00:55 UTC
Created attachment 1139949 [details]
File: limits

Comment 7 Karel Volný 2016-03-24 13:00:56 UTC
Created attachment 1139950 [details]
File: maps

Comment 8 Karel Volný 2016-03-24 13:00:58 UTC
Created attachment 1139951 [details]
File: mountinfo

Comment 9 Karel Volný 2016-03-24 13:00:59 UTC
Created attachment 1139952 [details]
File: namespaces

Comment 10 Karel Volný 2016-03-24 13:01:01 UTC
Created attachment 1139953 [details]
File: open_fds

Comment 11 Karel Volný 2016-03-24 13:01:02 UTC
Created attachment 1139954 [details]
File: proc_pid_status

Comment 12 Karel Volný 2016-03-24 13:01:03 UTC
Created attachment 1139955 [details]
File: var_log_messages

Comment 13 Florian Bruhin 2016-04-26 09:07:58 UTC
I've also seen this crash (100% reproducible) since updating to Qt 5.6 with my PyQt application.

I've now reported it upstream: https://bugreports.qt.io/browse/QTBUG-52988

Comment 14 Dr. David Bowman 2016-05-16 16:22:41 UTC
*** Bug 1336501 has been marked as a duplicate of this bug. ***

Comment 15 modee skor 2016-05-19 11:24:59 UTC
*** Bug 1337512 has been marked as a duplicate of this bug. ***

Comment 16 DeepPurpleFedora 2016-05-25 22:28:43 UTC
Similar problem has been detected:

i dont know. ever since I got the new kernel there have been system crashes (not dibilitating) and random other crashes like this, but most arnt reportable.

reporter:       libreport-2.6.4
backtrace_rating: 3
cmdline:        'http.so [kdeinit5] http local:/run/user/1000/klauncherXM1383.1.slave-socket local:/run/user/1000/plasmashellDS1433.3.slave-socket'
crash_function: QObject::disconnect
executable:     /usr/bin/kdeinit5
global_pid:     6436
kernel:         4.4.9-300.fc23.x86_64
package:        kf5-kinit-5.22.0-2.fc23
reason:         kdeinit5 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 sbart629 2016-06-05 18:46:43 UTC
*** Bug 1342838 has been marked as a duplicate of this bug. ***

Comment 18 Sylvain Petreolle 2016-08-04 19:36:34 UTC
This problem happens on Fedora 24 too. Please update the version.

Comment 19 Vladyka Zubov 2016-11-06 13:28:08 UTC
Similar problem has been detected:

it happens at startup

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        'http.so [kdeinit5] http local:/run/user/1000/klauncherTJ1222.1.slave-socket local:/run/user/1000/kioclientXM1943.2.slave-socket'
crash_function: QObject::disconnect
executable:     /usr/bin/kdeinit5
global_pid:     1946
kernel:         4.7.10-100.fc23.x86_64+debug
package:        kf5-kinit-5.26.0-1.fc23
reason:         kdeinit5 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 Fedora End Of Life 2016-11-24 16:13:04 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 21 Fedora End Of Life 2017-07-25 20:24:35 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 22 Fedora End Of Life 2017-08-08 14:05:49 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.